Bug 1025064 - NM seems to struggle moving from a hidden SSID to a open SSID
NM seems to struggle moving from a hidden SSID to a open SSID
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 18:31 EDT by Rodd Clarkson
Modified: 2015-06-29 08:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:46:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2013-10-30 18:31:47 EDT
Description of problem:

I have a hidden SSID at work, and an open one at home.  I move my laptop from one location to another under suspend (rather than turning it off)

When I move from home to work, my laptop connects to the hidden one without any difficulties.

When I move from work to home, my laptop keeps trying to connect to the hidden one, and the Select Network Dialog shows that the hidden network still exists and is available at home.  Even after connecting to the open SSID at home, the Select Network Dialog shows the Hidden SSID from work (which is some 7 kms away from home).


Version-Release number of selected component (if applicable):

NetworkManager-0.9.9.0-14.git20131003.fc20.x86_64

How reproducible:

Each time I come one.


Steps to Reproduce:
1.  Connect to hidden SSID at work (this happens automatically now that NM knows about the hotspot.)
2. Suspend laptop by shutting lid
3. Go home and open lid, resuming laptop


Actual results:

The gnome network indicator at the top right thinks that it's still connected to the hidden SSID.  After a while it realized that it isn't and then tries to find a network.  It appears that it still thinks the hidden SSID network exists and tries to connect to it again.


Expected results:

The NM connects to the available network each time you resume from a suspend.

Additional info:

This was a problem early in F19, but has been resloved (I didn't file a bug report last time, but presumably someone did) and has reappeared again in F20.
Comment 1 Rodd Clarkson 2013-11-20 17:58:34 EST
This is still a problem for me, with an up-to-date Fedora 20 (beta).

Each time I come home from work it fails to connect to my open network (still looking for the hidden network at work)

When I go to work, it finds the hidden network finds and switches to using it.
Comment 2 Rodd Clarkson 2013-11-20 17:59:25 EST
Forgot to include the current version:

NetworkManager-0.9.9.0-15.git20131003.fc20.x86_64
Comment 3 Rodd Clarkson 2014-02-28 18:05:59 EST
Okay we're up to version 1:0.9.9.0-30.git20131003.fc20  and this is still an issue.

This is a regression from previous versions of NetworkManager and it's infuriating to find that NM just continues to try to connect to a wireless connection that isn't even available in the area when another usable one does.

Is more information needed on this, or is this just being ignored?
Comment 4 Fedora End Of Life 2015-05-29 05:39:45 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:46:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.